Subject: Re: [apps-discuss] Feedback on draft-ietf-appsawg-json-pointer-03

From: Mark Nottingham <[email-masked]>
Date: Wed, 5 Sep 2012 16:56:23 +1000

Hi Julian,

I've incorporated all of these (except the updated ref):
  http://trac.tools.ietf.org/wg/appsawg/trac/changeset/108

Cheers,

On 21/08/2012, at 7:08 PM, Julian Reschke <[email-masked]> wrote:

> Hi.
> 
> first of all: thanks Mark for taking over.
> 
> Below are a few comments...:
> 
>>   This specification expresses normative syntax rules using Augmented
>>   Backus-Naur Form [RFC5234] (ABNF) notation.
> 
> s/[RFC5234] (ABNF)/(ABNF) [RFC5234]/
> 
>>   If a reference token contains '~' (%x7E) or '/' (%x2F) characters,
>>   they MUST be encoded as '~0' and '~1' respectively.
> 
> I'd prefer this to be a statement of fact, not a requirement. Such as:
> 
> "As the characters '~' (%x7E) and '/' (%x2F) characters have a special meaning in JSON pointer and thus need to be encoded as'~0' and '~1' respectively."
> 
>>      If the currently referenced value is a JSON object, the new
>>      referenced value is the object member with the name (after
>>      unescaping any backslash escape sequences that can occur in a JSON
>>      string) identified by the reference token.  The member name is
> 
> What unescaping does this refer to? Is this about JSON Pointers transported inside JSON string values? In that case I think this should be dropped; it's not relevant here. (JSON Pointer in JSON strings is first mentioned in the following section).
> 
>>   A JSON Pointer can be represented in a JSON string value.  Per
>>   [RFC4627], section 2.5, all instances of quotation mark '"' (%x22),
> 
> s/section/Section/
> 
>>   A JSON Pointer can be represented in a URI fragment identifier. by
>>   encoding it into octets, using UTF-8 [RFC3629], percent-encoding
>>   those characters not allowed by the fragment rule in [RFC3986].
> 
> s/identifier. by/identifier by/
> 
>>   Note that a given media type needs to nominate JSON Pointer as its
>>   fragment identifier syntax explicitly (usually, in its registration
>>   [RFC4288]); i.e., just because a document is JSON does not imply that
>>   JSON Pointer can be used as its fragment identifier syntax.
> 
> I think it would be good to make it very clear that the current definition of JSON does NOT define a fragment identifier syntax.
> 
>>   [RFC4288]  Freed, N. and J. Klensin, "Media Type Specifications and
>>              Registration Procedures", BCP 13, RFC 4288, December 2005.
> 
> This should reference draft-ietf-appsawg-media-type-regs-14 which is already in the RFC publication queue.
> 
> Best regards, Julian
> 
> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss

--
Mark Nottingham   http://www.mnot.net/